Subject: Re: [vmeet] Audio echo
From: Henning Schulzrinne <[email-masked]>
To: Brian Rosen <[email-masked]>
Cc: [email-masked], 'Dave CROCKER' <[email-masked]>
Date: Fri, 24 Apr 2009 17:58:03 -0400
List-Id: IETF remote participation meeting services discussion <vmeet.ietf.org>

[changing subject lines to reflect the topic]

To amplify: Line echo and acoustic echo cancellation are very  
different problems; see

http://www.polycom.com/global/documents/support/technical/products/voice/vortex_choose_acoustic_echo_canceller.pdf

for a summary. (Short version: The so-called tail time is much longer  
for the acoustic echo canceller.)

Digital hybrids, such as the JK Audio one, are not meant for such  
applications - they only cancel line echo, although the basic  
operational model is not bad - essentially, we are running a call-in  
show.

ClearOne is a well-known company in that space; however, most of these  
boxes seem designed for professional installation in conference rooms,  
not just plopping them down on a table next to the screen in rooms  
holding hundreds of people. (All the microphones and speakers have to  
be wired through them to work.) They are also not exactly cheap. Thus,  
the audio installation for each IETF would have to be done by somebody  
trained on that equipment, not the usual hotel audio crew that sticks  
black tape over XLR cables.

However, you only need these fancy boxes if you run full-duplex. If  
you mute the floor microphones when the remote caller speaks (and vice  
versa), i.e., in half-duplex mode, there can be no acoustic echo. This  
is, I think, what Doug is proposing. This is more human effort, but a  
whole lot simpler to install.

Henning

On Apr 24, 2009, at 5:06 PM, Brian Rosen wrote:

> I believe your comment on the audio is incorrect.
>
> Let's say that no one has any echo cancel, and someone in the room  
> speaks.
> As you point out, you don't hear echo in the room.  The remote  
> participants
> would get the direct audio a bit later, and what also happens is  
> that some
> of the outgoing audio from the room bounces off the hybrid in older  
> phones
> and is reflected back to the bridge.  The bridge has echo  
> cancellation for
> this and the echo won't come back to the room.
>
> When a remote participant speaks, the sound comes out the speakers,  
> gets
> picked up by the microphone a bit later, and is sent back to the
> participant, delayed.  Most conference bridges can't actually deal  
> with
> this: they aren't equipped to have local echo.  In this regard, it's  
> not any
> different from two conference phones in use with a phone connection  
> between
> them.  If you don't do anything locally, you WILL get echo.
>
> However, there are devices available that are designed to link the  
> room PA
> to the phone line used for the audio connection, and they have the  
> same kind
> of echo cancellation that  conference phone does.  So, I think it  
> will work
> out okay, although we have to make sure we do that.
>
> For example:
> http://www.jkaudio.com/broadcast-host_dtails.htm
> http://www.biamp.com/nexia_tc.php
>
> Brian
>